> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.chattermill.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.chattermill.com/_mcp/server.

# List attributes

GET https://api.chattermill.com/v1/{project}/attributes

Returns every attribute in the project. Use the filters to narrow the list.

Reference: https://apidocs.chattermill.com/api-reference/attributes/get-project-attributes

## Authentication

- `Authorization` header (bearer token, required) — Your Chattermill API key, from Settings > API in the Chattermill app.

## Servers

- `https://api.chattermill.com/v1` (Production (EU), default)
- `https://api-us.chattermill.com/v1` (Production (US))

## Request

### Path parameters

- `project` (string, required) — Your project's `key`, from List projects.

### Query parameters

- `searchable` (boolean, optional) — Filter by searchable (true / false). Default: absent (to get all attributes)
- `meta_field` (boolean, optional) — Filter by meta field (true / false). Default: absent (to get all attributes)
- `type` (string, optional) — Filter by type (text, number, date, boolean). Default: absent (to get all attributes)

## Response

### 200

Attribute response collection

- `attributes` (list of Attribute, optional)

## Errors

### 401 Unauthorized Error

User not authorized

- `code` (integer, required)
- `message` (string, required)

## Types

### Attribute

- `id` (integer, required)
- `key` (string, optional)
- `name` (string, optional)
- `searchable` (boolean, optional)
- `meta_field` (boolean, optional)
- `type` (string, optional)

## Examples

**Response**

```json
{
  "attributes": [
    {
      "id": 1,
      "key": "string",
      "name": "string",
      "searchable": true,
      "meta_field": true,
      "type": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.chattermill.com/v1/project/attributes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.chattermill.com/v1/project/attributes';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.chattermill.com/v1/project/attributes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.chattermill.com/v1/project/attributes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.chattermill.com/v1/project/attributes")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.chattermill.com/v1/project/attributes', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.chattermill.com/v1/project/attributes");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.chattermill.com/v1/project/attributes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```